<?php declare(strict_types=1);

namespace Aviat\Kilo\Enum;

use Aviat\Kilo\Traits;

/**
 * Constants representing various control keys
 * @enum
 */
class KeyType {
	use Traits\ConstList;

	public const ARROW_DOWN = 'KEY_ARROW_DOWN';
	public const ARROW_LEFT = 'KEY_ARROW_LEFT';
	public const ARROW_RIGHT = 'KEY_ARROW_RIGHT';
	public const ARROW_UP = 'KEY_ARROW_UP';
	public const BACKSPACE = 'KEY_BACKSPACE';
	public const DELETE = 'KEY_DELETE';
	public const END = 'KEY_END';
	public const ENTER = 'KEY_ENTER';
	public const ESCAPE = 'KEY_ESCAPE';
	public const HOME = 'KEY_HOME';
	public const PAGE_DOWN = 'KEY_PAGE_DOWN';
	public const PAGE_UP = 'KEY_PAGE_UP';
}